# $Revision: 1.26 $, $Date: 2010/02/10 20:06:39 $
Summary:	Gecko Media Player - browser plugin
Summary(pl.UTF-8):	Gecko Media Player - wtyczka dla przeglądarek
Name:		gecko-mediaplayer
Version:	0.9.9
Release:	1
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://gecko-mediaplayer.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	1833c83ee2bb226914aa078165d04ddd
Patch0:		%{name}-runtime.patch
Patch1:		%{name}-configure_in.patch
URL:		http://kdekorte.googlepages.com/gecko-mediaplayer
BuildRequires:	GConf2
BuildRequires:	GConf2-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	dbus-devel
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.357
BuildRequires:	xulrunner-devel >= 1.8.1.12-1.20080208.3
Requires(post,preun):	GConf2
Requires:	browser-plugins >= 2.0
Requires:	browser-plugins(%{_target_base_arch})
Requires:	gnome-mplayer >= 0.9.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gecko Media Player is a browser plugin that uses GNOME MPlayer to play
media in a browser.

%description -l pl.UTF-8
Gecko Media Player to wtyczka dla przeglądarek wykorzystująca GNOME
MPlayera do otwarzania multimediów w przeglądarce.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# remove with new upstream version (should have this fixed)
sed -i -e 's#utf8characters#UTF8Characters#g' src/plugin.cpp

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	install_libexecdir=%{_browserpluginsdir} \
	xptdir=%{_browserpluginsdir} \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install gecko-mediaplayer.schemas
%update_browser_plugins

%preun
%gconf_schema_uninstall gecko-mediaplayer.schemas

%postun
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog DOCS/tech/javascript.txt
%attr(755,root,root) %{_browserpluginsdir}/gecko-mediaplayer*.so
%{_sysconfdir}/gconf/schemas/gecko-mediaplayer.schemas

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gecko-mediaplayer.spec,v $
Revision 1.26  2010/02/10 20:06:39  sparky
- dropped unused BR: xorg-lib-libXpm-devel, xorg-lib-libXt-devel

Revision 1.25  2010/02/10 10:09:50  arekm
- up to 0.9.9

Revision 1.24  2009/11/27 17:14:36  sparky
- BR: GConf2, GConf2-devel

Revision 1.23  2009/10/01 20:10:32  lkrotowski
- up to 0.9.8
- updated patches

Revision 1.22  2009/06/23 12:08:58  arekm
- rel 2; fix linking

Revision 1.21  2009/06/20 17:41:17  arekm
- up to 0.9.6

Revision 1.20  2009/03/15 14:07:15  arekm
- up to 0.9.5

Revision 1.19  2009/02/23 08:19:04  dzeus
- rel. 2

Revision 1.18  2009/02/23 08:13:09  dzeus
- build fixed

Revision 1.17  2009/02/22 20:16:11  dzeus
- up to 0.9.4

Revision 1.16  2009/01/03 22:08:51  dzeus
- up to 0.9.3

Revision 1.15  2008/11/02 12:03:55  arekm
- up to 0.9.0

Revision 1.14  2008/09/30 19:57:04  arekm
- up to 0.8.0

Revision 1.13  2008/08/23 09:10:30  dzeus
- up to 0.7.0

Revision 1.12  2008/07/05 22:33:57  dzeus
- up to 0.6.3, new homepage URL

Revision 1.11  2008-02-26 21:19:50  arekm
- up to 0.6.0

Revision 1.10  2008-01-12 20:37:11  qboosh
- register gconf schemas

Revision 1.9  2007-11-03 19:07:02  arekm
- up to 0.5.2

Revision 1.8  2007/10/10 06:02:42  arekm
- up to 0.5.1

Revision 1.7  2007/08/31 20:58:20  arekm
- up to 0.5.0

Revision 1.6  2007/07/22 14:25:16  arekm
- up to 0.0.7

Revision 1.5  2007/05/27 18:16:38  qboosh
- pl

Revision 1.4  2007/05/26 20:00:01  arekm
- rel 1

Revision 1.3  2007/05/26 19:21:01  arekm
R: gnome-mplayer

Revision 1.2  2007/05/26 19:14:08  arekm
- no common

Revision 1.1  2007/05/26 19:05:39  arekm
- initial
